Package com.google.earth.kml._2

# Class ObjectType

java.lang.Object
com.google.earth.kml._2.ObjectType

Direct Known Subclasses:
  `BalloonStyleType`, `ColorStyleType`, `FeatureType`, `GeometryType`, `IconStyleIconType`, `ItemIconType`, `LatLonBoxType`, `LinkType`, `ListStyleType`, `LocationType`, `LodType`, `LookAtType`, `OrientationType`, `RegionType`, `ScaleType`, `StyleSelectorType`, `TimePrimitiveType`

public abstract class ObjectType extends Object
<p>Java class for ObjectType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ObjectType"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <attGroup ref="{http://earth.google.com/kml/2.1}idAttributes"/> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `id`
  `protected String`
  `targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getTargetId()`
  Gets the value of the targetId property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setTargetId(String value)`
  Sets the value of the targetId property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id

  - ### targetId

    protected String targetId

- ## Constructor Details

  - ### ObjectType

    public ObjectType()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTargetId

    public String getTargetId()
    Gets the value of the targetId property.
    Returns:
      possible object is `String`

  - ### setTargetId

    public void setTargetId(String value)
    Sets the value of the targetId property.
    Parameters:
      `value` - allowed object is `String`